Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.store
Interface SecurityStore

All Superinterfaces:
  Service, javax.transaction.xa.XAResource

All Known Subinterfaces:
  Store

All Known Implementing Classes:
  AbstractStore

public interface SecurityStore
extends Service

Store for NodePermission objects.

Version:
  $Revision: 1.9 $

Field Summary

Fields inherited from interface javax.transaction.xa.XAResource
`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

Method Summary
`java.util.Enumeration` | `enumeratePermissions(Uri uri)` Enumerate an object permissions.
`void` | `grantPermission(Uri uri, NodePermission permission)` Grant a new permission.
`void` | `revokePermission(Uri uri, NodePermission permission)` Revoke a permission.
`void` | `revokePermissions(Uri uri)` Revoke all the permissions on an object.

Methods inherited from interface org.apache.slide.common.Service
`cacheResults, connect, connect, connectIfNeeded, connectIfNeeded, disconnect, getLogger, initialize, isConnected, reset, setNamespace, setParameters, setScope`

Methods inherited from interface javax.transaction.xa.XAResource
`commit, end, forget, getTransactionTimeout, isSameRM, prepare, recover, rollback, setTransactionTimeout, start`

Method Detail

### grantPermission

    public void grantPermission(Uri uri,
                                NodePermission permission)
                         throws ServiceAccessException

  Grant a new permission.

  Parameters:
    `permission` - Permission we want to create
  Throws:
    `ServiceAccessException` - Error accessing the Data Source

### revokePermission

    public void revokePermission(Uri uri,
                                 NodePermission permission)
                          throws ServiceAccessException

  Revoke a permission.

  Parameters:
    `permission` - Permission we want to create
  Throws:
    `ServiceAccessException` - Error accessing the Data Source

### revokePermissions

    public void revokePermissions(Uri uri)
                           throws ServiceAccessException

  Revoke all the permissions on an object.

  Parameters:
    `uri` - Uri of the object
  Throws:
    `ServiceAccessException` - Error accessing the Data Source

### enumeratePermissions

    public java.util.Enumeration enumeratePermissions(Uri uri)
                                               throws ServiceAccessException

  Enumerate an object permissions.

  Parameters:
    `uri` - The uri of the object
  Returns:
    A enumeration of all `permissions` on this object.
  Throws:
    `ServiceAccessException` - Error accessing the Descriptors Store

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD